/************** 숫자 체크 **************/
function Check_Num(tocheck){
	var isnum = true;
	
	if (tocheck == null || tocheck == ""){
		isnum = false;
		return isnum;
	}
	
	for (var j = 0 ; j < tocheck.length; j++){
		if ( tocheck.substring(j, j + 1) != "0"
			&& tocheck.substring(j, j + 1) != "1"
			&& tocheck.substring(j, j + 1) != "2"
			&& tocheck.substring(j, j + 1) != "3"
			&& tocheck.substring(j, j + 1) != "4"
			&& tocheck.substring(j, j + 1) != "5"
			&& tocheck.substring(j, j + 1) != "6"
			&& tocheck.substring(j, j + 1) != "7"
			&& tocheck.substring(j, j + 1) != "8"
			&& tocheck.substring(j, j + 1) != "9"
			&& tocheck.substring(j, j + 1) != "-"){
			isnum = false;
		}
	}
	return isnum;
}


/************** 주민 등록 번호 체크 **************/
function check_ResidentNO(){  

	var str_f_num = document.registForm.resi1.value;
	var str_l_num = document.registForm.resi2.value;

	var i3=0
	for (var i=0;i<str_f_num.length;i++){
		var ch1 = str_f_num.substring(i,i+1);
		if (ch1<'0' || ch1>'9') { i3=i3+1 }
	}

	if ((str_f_num == "") || ( i3 != 0 )){return (false);}

	var i4=0
	for (var i=0;i<str_l_num.length;i++)	{
		var ch1 = str_l_num.substring(i,i+1);
		if (ch1<'0' || ch1>'9') { i4=i4+1 }
	}

	if ((str_l_num == "") || ( i4 != 0 )){return (false);}
	
	if(str_f_num.substring(0,1) < 0){return (false);}
	
	if(str_l_num.substring(0,1) > 2){return (false);}
	
	if((str_f_num.length > 7) || (str_l_num.length > 8)){return (false);}
	
	if ((str_f_num == '72') || ( str_l_num == '18')){return (false);}
	
	var f1=str_f_num.substring(0,1)
	var f2=str_f_num.substring(1,2)
	var f3=str_f_num.substring(2,3)
	var f4=str_f_num.substring(3,4)
	var f5=str_f_num.substring(4,5)
	var f6=str_f_num.substring(5,6)
	var hap=f1*2+f2*3+f3*4+f4*5+f5*6+f6*7
	var l1=str_l_num.substring(0,1)
	var l2=str_l_num.substring(1,2)
	var l3=str_l_num.substring(2,3)
	var l4=str_l_num.substring(3,4)
	var l5=str_l_num.substring(4,5)
	var l6=str_l_num.substring(5,6)
	var l7=str_l_num.substring(6,7)
	hap=hap+l1*8+l2*9+l3*2+l4*3+l5*4+l6*5
	hap=hap%11
	hap=11-hap
	hap=hap%10

	if (hap != l7) {
		return (false);
	}
	
	return true; 
}

/************** ID count **************/
/*
function int getByteCount(id_text){	
	return id_text.getBytes().length;
}*/



/************** 영숫자 체크 **************/
function Check_Char(id_text){
	var alpha = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
	var numeric = '1234567890';
	var nonkorean = alpha+numeric; 
	
	var i ; 
	for ( i=0; i < id_text.length; i++ )  {
		if( nonkorean.indexOf(id_text.substring(i,i+1)) < 0) {
			break ; 
		}
	}
	
	if ( i != id_text.length ) {
		return false ; 
	}else{
		return true ;
	} 
	
	return true;
}

/************** 특수문자 체크 **************/
function CheckNonChar(id_text){
	var nonchar = '~`!@#$%^&*()-_=+\|<>?,./;:"';
	var nonkorean = nonchar; 
	
	var i ; 
	for ( i=0; i < id_text.length; i++ )  {
		if( nonkorean.indexOf(id_text.substring(i,i+1)) < 0) {
			break ; 
		}
	}
	
	if ( i != id_text.length ) {
		return false ; 
	}else{
		return true ;
	} 
	
	return true;
}


/************** 특수문자 체크 **************/
function Check_nonChar(id_text){
	var nonchar = '~`!@#$%^&*()-_=+\|<>?,./;:"';
	var numeric = '1234567890';
	var nonkorean = nonchar+numeric; 
	
	var i ; 
	for ( i=0; i < id_text.length; i++ )  {
		if( nonkorean.indexOf(id_text.substring(i,i+1)) > 0) {
			break ; 
		}
	}
	
	if ( i != id_text.length ) {
		return false ; 
	}else{
		return true ;
	}	
	return false;
}


function Check_name(id_text){
	var nonchar = '~`!@#$%^&*()-_=+\|<>?,./;:"';
	var nonkorean = nonchar; 
	
	var i ; 
	for ( i=0; i < id_text.length; i++ )  {
		if( nonkorean.indexOf(id_text.substring(i,i+1)) > 0) {
			break ; 
		}
	}
	
	if ( i != id_text.length ) {
		return false ; 
	}else{
		return true ;
	}	
	return false;
}


/************** 이메일 체크 **************/
// 이메일 체크
function check_Email(){

	var email = document.registForm.email.value;
	var check_point = 0;

	if(email.indexOf("@") > 0){
		hanmail_Check = email.substring(parseInt(email.indexOf("@")),parseInt(email.indexOf(".")));
		if(hanmail_Check == "@hanmail"){
			alert("Daum의 온라인 우표제로 인하여 hanmail은 사용할 수 없습니다.");
			registForm.email.focus();
			return;
		}
	}


	/*
	if (email.indexOf("@") < 0 ) {
		alert("e-mail에 @ 가 빠져있습니다.");
		registForm.email.focus();
		return false;
	}
	*/
	if (email.indexOf(".") < 0 ) {
		alert("e-mail에 . 가 빠져있습니다.");
		registForm.email.focus();
		return false;
	}

	if (email.indexOf("'") >= 0 ) {
		alert("e-mail에 ' 는 포함할수 없습니다..");
		registForm.email.focus();
		return false;
	}
	if (email.indexOf("|") >= 0 ) {
		alert("e-mail에 | 는 포함할수 없습니다..");
		registForm.email.focus();
		return false;
	}
	if (email.indexOf(">") >= 0 ) {
		alert("e-mail에 > 는 포함할수 없습니다..");
		registForm.email.focus();
		return false;
	}
	if (email.indexOf("<") >= 0 ) {
		alert("e-mail에 < 는 포함할수 없습니다..");
		registForm.email.focus();
		return false;
	}
	if (email.indexOf(" ") >= 0 ) {
		alert("e-mail에 스페이스는 포함할수 없습니다..");
		registForm.email.focus();
		return false;
	}
	

	if (check_point > 1 ) {
		alert("e-mail에 @ 는 1번이상 들어갈수 없습니다.");
		registForm.email.focus();
		return false;
	}

	if (email.indexOf("(") >= 0 ) {
		alert("e-mail에 ( 는 포함할수 없습니다..");
		registForm.email.focus();
		return false;
	}
	if (email.indexOf("(") >= 0 ) {
		alert("e-mail에 ( 는 포함할수 없습니다..");
		registForm.email.focus();
		return false;
	}
	if (email.indexOf(")") >= 0 ) {
		alert("e-mail에 ) 는 포함할수 없습니다..");
		registForm.email.focus();
		return false;
	}
	if (email.indexOf(",") >= 0 ) {
		alert("e-mail에 , 는 포함할수 없습니다..");
		registForm.email.focus();
		return false;
	}
	if (email.indexOf(";") >= 0 ) {
		alert("e-mail에 ; 는 포함할수 없습니다..");
		registForm.email.focus();
		return false;
	}
	if (email.indexOf(":") >= 0 ) {
		alert("e-mail에 : 는 포함할수 없습니다..");
		registForm.email.focus();
		return false;
	}
	if (email.indexOf("/") >= 0 ) {
		alert("e-mail에 / 는 포함할수 없습니다..");
		registForm.email.focus();
		return false;
	}
	if (email.indexOf("[") >= 0 ) {
		alert("e-mail에 [ 는 포함할수 없습니다..");
		registForm.email.focus();
		return false;
	}
	if (email.indexOf("]") >= 0 ) {
		alert("e-mail에 ] 는 포함할수 없습니다..");
		registForm.email.focus();
		return false;
	}
	if (email.indexOf("{") >= 0 ) {
		alert("e-mail에 { 는 포함할수 없습니다..");
		registForm.email.focus();
		return false;
	}
	if (email.indexOf("}") >= 0 ) {
		alert("e-mail에 } 는 포함할수 없습니다..");
		registForm.email.focus();
		return false;
	}
	if (email.indexOf(" ") >= 0 ) {
		alert("e-mail에 스페이스는 포함할수 없습니다..");
		registForm.email.focus();
		return false;
	}
	return true;	
}


/************** Trim 하는 함수 **************/
function TrimString(SrcString){

   /* 왼쪽 트림   */
   len = SrcString.length;
   for(i=0;i<len;i++){
      if(SrcString.substring(0,1) == " "){
         SrcString = SrcString.substring(1);
      }else{
         break;
      }
   }

  /* 오른쪽 트림   */
  len = SrcString.length;
	for(i=len;i>0;i--){
		if(SrcString.substring(i-1) == " "){
			SrcString = SrcString.substring(0,i-1);
		}else{
			break;
		}
  }
  return SrcString;
}


// 중복 ID 검색
function idcheck() {
	
	var height = screen.height; 
	var width = screen.width; 
	var leftpos = width / 2 - 150; 
	var toppos = height / 2 - 200; 

	var userID = document.registForm.userID.value;
	var urlname = "/registForm/check_id.jsp?userID="+ userID;	
	
	if (userID.length < 6 || userID.length > 12 ) {
		alert("ID는 6 ~ 12자리만 가능합니다.");
		document.registForm.userID.focus();
		return;
	}else if(!Check_Char(userID)){
		alert("숫자와 영문자만 입력해주세요.");
		document.registForm.userID.focus();
		return false;
	}

	check_id= window.open(urlname, "check_id","height=290,width=505, toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no,left=" + leftpos + ",top=" + toppos); 
	check_id.focus(); 
} 

// 우편번호 검색 
function openzip() {
	var height = screen.height; 
	var width = screen.width; 
	var leftpos = width / 2 - 150; 
	var toppos = height / 2 - 200; 

	var urlname = "/registForm/post_search.jsp";

	post= window.open(urlname, "post","height=300, width=530, toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=no,left=" + leftpos + ",top=" + toppos); 
	post.focus(); 
}

// 성명 체크 
function checkName(){
	var form = document.registForm;
	var userName = form.userName.value;
	
	if (userName != ""){
		if (!Check_name(userName) ) {
			alert("고객명에 특수문자나 숫자는 입력할 수 없습니다.");
			form.userName.focus();
	    form.userName.select();
	    return;
		}
	}
}

// 주민등록번호로 생년월일 Setting
function setbirthdate(){
	var form = document.registForm;
	var resd = form.resi1.value;
	
	form.birthday1.value = "19" + resd.substring(0, 2);
	form.birthday2.value = resd.substring(2, 4);
	form.birthday3.value = resd.substring(4, 6);
}	

// 주민등록번호1 자리수 체크
function Check_focus1(){
	var form = document.registForm;
	var str = form.resi1.value.length;
	if(str == 6){
		form.resi2.focus(); 
	}
}	  

// 주민등록번호2 자리수 체크
function Check_focus2(){
	var form = document.registForm;
	var str = form.resi2.value.length;
	if(str == 7){
		form.home_tel1.focus(); 
	}
}


function checkRegForm(){
	var form	= document.registForm;
	
	//필수기입 항목 
	var cust_id	= form.cust_id.value;     //회원ID
}

function checkForm(){
	var form = document.registForm;
	var deptName = form.deptName.value;
	var passcode = form.passcode.value;
	var userID = form.userID.value;
	var passwd = form.passwd.value;
	var passwd2 = form.passwd2.value;
	var userName = form.userName.value;
	var phone = form.phone.value;
	var email = form.email.value;

	if(form.deptName.value == ""){
		alert("소속 기관 또는 부서를 선택하여 주세요");
		form.deptName.focus();
		return;
	}else if(form.passcode.value == ""){
		alert("기관/부서코드를 입력하여 주세요");
		form.passcode.focus();
		return;
	}else if(form.userID.value == ""){
		alert("아이디를 입력하여 주세요");
		form.userID.focus();
		return;
	}else if(userID.length < 4 || userID.length > 14){
		alert("ID는 4~14자리입니다.");
		form.userID.focus();
		return false;
	}else if(CheckNonChar(userID)){
		alert("아이디에 툭수문자가 입력되었는지 확인해주세요.");
		form.userID.focus();
		return false;
	}else if(form.passwd.value == ""){
		alert("비밀번호를 입력하여 주세요");
		form.passwd.focus();
		return;
	}else if(form.passwd2.value == ""){
		alert("확인 비밀번호를 입력하여 주세요");
		form.passwd2.focus();
		return;
	}else if(form.passwd.value != form.passwd2.value){
		alert("비밀번호와 비밀번호 확인이 일치 하지 않습니다. 다시 입력하여 주세요");
		form.passwd.value = "";
		form.passwd2.value = "";
		form.passwd.focus();
		return;
	}else if(form.userName.value == ""){
		alert("이름을 입력하여 주세요");
		form.userName.focus();
		return;
	}else if(!Check_name(userName)){				
		alert("이름에 특수문자는 입력할 수 없습니다.");
		form.userName.focus();
		form.userName.select();
		return false;		
	//}else if(form.phone.value == ""){
	//	alert("전화번호를 입력하여주세요");
	//	form.phone.focus();
	//	return;
	/*
	}else if(form.homephone1.length > 3){
		alert("전화번호 앞자리는 3자리 이하입니다.");
		form.homephone1.focus();
		return;
	}else if(form.homephone1.value == ""){
		alert("전화번호를 입력하여주세요");
		form.homephone1.focus();
		return;
	}else if(form.homephone2.value == ""){
		alert("전화번호를 입력하여주세요");
		form.homephone2.focus();
		return;
	}else if(form.homephone3.value == ""){
		alert("전화번호를 입력하여주세요");
		form.homephone3.focus();
		return;
	//}else if(!Check_Num(phone)){
	//	alert("집전화번호를 숫자로 입력해주세요.");
	//	form.phone.focus();
	//	form.phone.select();
	//	return false;
	}else if(!Check_Num(form.homephone1.value)){
		alert("집전화번호를 숫자로 입력해주세요.");
		form.homephone1.focus();
		form.homephone1.select();
		return false;
	}else if(!Check_Num(form.homephone2.value)){
		alert("집전화번호를 숫자로 입력해주세요.");
		form.homephone2.focus();
		form.homephone2.select();
		return false;
	}else if(!Check_Num(form.homephone3.value)){
		alert("집전화번호를 숫자로 입력해주세요.");
		form.homephone3.focus();
		form.homephone3.select();
		return false;
	}else if(form.email.value == ""){
		alert("E-Mail을 입력하여 주세요");
		form.email.focus();
		return;
	}else if(!check_Email()) {
		form.email.focus();
		return false;
	}
	*/}

	form.submit();
}

function modifyCheckForm(){
	var form = document.registForm;
	var deptName = form.deptName.value;
	var passcode = form.passcode.value;
	var userID = form.userID.value;
	var passwd = form.passwd.value;
	var passwd2 = form.passwd2.value;
	var userName = form.userName.value;
	var phone = form.phone.value;
	var email = form.email.value;
	


	if(form.deptName.value == ""){
		alert("소속 기관 또는 부서를 선택하여 주세요");
		form.deptName.focus();
		return;
	}else if(form.passcode.value == ""){
		alert("기관/부서코드를 입력하여 주세요");
		form.passcode.focus();
		return;
	//}else if(form.userID.value == ""){
	//	alert("아이디를 입력하여 주세요");
	//	form.userID.focus();
	//	return;
	//}else if(userID.length < 4 || userID.length > 14){
	//	alert("ID는 4~14자리입니다.");
	//	form.userID.focus();
	//	return false;
	//}else if(CheckNonChar(userID)){
	//	alert("아이디에 툭수문자가 입력되었는지 확인해주세요.");
	//	form.userID.focus();
	//	return false;
	}else if(form.passwd.value == ""){
		alert("비밀번호를 입력하여 주세요");
		form.passwd.focus();
		return;
	}else if(form.passwd2.value == ""){
		alert("확인 비밀번호를 입력하여 주세요");
		form.passwd2.focus();
		return;
	}else if(form.passwd.value != form.passwd2.value){
		alert("비밀번호와 비밀번호 확인이 일치 하지 않습니다. 다시 입력하여 주세요");
		form.passwd.value = "";
		form.passwd2.value = "";
		form.passwd.focus();
		return;
	}else if(form.userName.value == ""){
		alert("이름을 입력하여 주세요");
		form.userName.focus();
		return;
	}else if(!Check_nonChar(userName)){				
		alert("이름에 특수문자는 입력할 수 없습니다.");
		form.userName.focus();
		form.userName.select();
		return false;		
	}else if(form.phone.value == ""){
		alert("전화번호를 입력하여주세요");
		form.phone.focus();
		return;
	}/*else if(!Check_Num(phone)){
		alert("집전화번호를 숫자로 입력해주세요.");
		form.phone.focus();
		form.phone.select();
		return false;
	}*/else if(form.email.value == ""){
		alert("E-Mail을 입력하여 주세요");
		form.email.focus();
		return;
	}else if(!check_Email()) {
		form.email.focus();
		return false;
	}

	form.submit();
}

function submitForm(){
	var form = document.registForm;

	var userID						= form.userID.value;
	var passwd			= form.passwd.value;
	var passwd2			= form.passwd2.value;
	var userName					= form.userName.value;
	var resi1					= form.resi1.value;
	var resi2					= form.resi2.value;
	var post1					= form.post1.value;
	var post2					= form.post2.value;
	var addr1					= form.addr1.value;	
	var addr2					= form.addr2.value;		
	var hop1					= form.hop1.value;
	var hop2					= form.hop2.value;
	var hop3					= form.hop3.value;
	var hap1					= form.hap1.value;
	var hap2					= form.hap2.value;
	var hap3					= form.hap3.value;	
	var email1				= form.email1.value;
	var email				= form.email.value;
	var	isEmail				= form.isEmail.value;
	var	bankName			=	form.bankName.value;
	var bankNumber		= form.bankNumber.value;
	var bankDepositor = form.bankDepositor.value;
	
	var thisfilednum    = true;
	
	/***************** userID 체크 *****************/
	if(userID == ""){
		alert("회원ID를 입력하십시오.");				 
		form.userID.focus();										 
		return false;												 
	}else if(userID.length < 6 || userID.length > 12){
		alert("ID는 6~12자리입니다.");
		form.userID.focus();
		return false;
	}else if(!Check_Char(userID)){
		alert("숫자와 영문자만 입력해주세요.");
		form.userID.focus();
		return false;
	}
	

	/***************** passwd 체크 *****************/
	if(passwd == ""){						
		alert("패스워드를 입력하십시오.");			
		form.passwd.focus();							
		return false;												 
	}else if(passwd.length < 5 ||  passwd.length > 12){
		alert("회원 비밀번호는 5~12자리입니다.");
		form.passwd.focus();
		return false;
	}else if(!Check_Char(passwd)){
		alert("회원 비밀번호에 특수문자는 입력할 수 없습니다.");
		form.passwd.focus();
		return false;
	}else	if(passwd2 == ""){						
		alert("확인 Password를 입력하십시오.");				 
		form.passwd2.focus();							
		return false;												 
	}else if(passwd != passwd2){
		alert("Password확인에 다시 입력하십시요.");
		form.passwd2.focus();
		return false;
	}
	
	/***************** 이름 체크 *****************/
	if(userName == ""){								
		alert("회원ID를 입력하십시오.");				 
		form.userName.focus();									
		return false;												 
	}else if(!Check_nonChar(userName)){				
		alert("고객명에 특수문자는 입력할 수 없습니다.");
		form.userName.focus();
		form.userName.select();
		return false;		
	}
	
	/************* 주민등록 번호 체크 *************/
	if(resi1 == ""){//주민등록 첫번째 번호 체크
		alert("주민등록번호를 입력하십시오.");				 
		form.resi1.focus();									
		return false;												 
	}else if(!Check_Num(resi1)){		
		alert("주민등록번호는 숫자만 가능합니다.");
		form.resi1.focus();
		form.resi1.select();
		return false;
	}else if(resi1.length != 6 ){
		alert("주민등록 앞자리는 6자리입니다.");
		form.resi1.focus();
		return false;
	}else if(resi2 == ""){//주민등록 첫번째 번호 체크
		alert("주민등록번호를 입력하십시오.");				 
		form.resi2.focus();									
		return false;
	}else if (!Check_Num(resi2)){
		alert("주민등록번호는 숫자만 가능합니다.");
		form.resi2.focus();
		form.resi2.select();
		return false;
	}else if(resi2.length != 7){
		alert("주민등록 뒷자리는 7자리입니다.");
		form.resi2.focus();
		return false;
	}else if( resi1 != "999999" && resi2 != "9999999" && resi1 != "888888" 
		&& resi2 != "8888888" && resi1 != "777777" && resi2 != "7777777" ){		
		if(!check_ResidentNO()){
			alert("올바른 주민등록번호가 아닙니다. 다시 한번 확인해 주시기 바랍니다.");
			form.resi1.focus();
			return false;
		}
	}
	
	/************* 우편번호 체크 *************/
	if(post1 == ""){
		alert("우편번호를 입력하세요.");
		form.post1.focus();
		return false;
	}else if(!Check_Num(post1)){
		alert("숫자를 입력하십시요.");
		form.post1.focus();
		form.post1.select();
		return false;
	}else if(post2 == ""){
		alert("우편번호를 입력하세요.");
		form.post2.focus();
		return false;
	}else if(!Check_Num(post2)){
		alert("숫자를 입력하십시요.");
		form.post2.focus();
		form.post2.select();
		return false;
	}
	
	/************* 주소 체크 *************/
	if(addr1 == ""){
		alert("집주소를 입력하십시오.");
		form.addr1.focus();
		return false;													
	}else if(addr2 == ""){								
		alert("집주소를 입력하십시오.");					
		form.addr2.focus();										
		return false;													
	}
	
	/************* 집 전화번호 체크 *************/
	if(hop1 == ""){//첫번째
		alert("집전화번호를 입력해주세요.");					
		form.hop1.focus();										
		return false;													
	}else if(!Check_Num(hop1)){
		alert("집전화번호를 숫자로 입력해주세요.");
		form.hop1.focus();
		form.hop1.select();
		return false;
	}else if(hop2 == ""){//두번째								
		alert("집전화번호를 입력해주세요.");
		form.hop2.focus();
		return false;
	}else if(!Check_Num(hop2)){
		alert("집전화번호를 숫자로 입력해주세요.");
		form.hop2.focus();
		form.hop2.select();
		return false;
	}else if(hop3 == ""){//세번째
		alert("집전화번호를 입력해주세요.");
		form.hop3.focus();
		return false;
	}else if(!Check_Num(hop3)){
		alert("집전화번호를 숫자로 입력해주세요.");
		form.hop3.focus();
		form.hop3.select();
		return false;
	}

	/************* 휴대전화 번호 체크 *************/
	if(hap1 == ""){//첫번째
		alert("휴대전화번호를 입력해주세요.");					
		form.hap1.focus();										
		return false;													
	}else if(!Check_Num(hap1)){
		alert("휴대전화번호를 숫자로 입력해주세요.");
		form.hap1.focus();		
		return false;
	}else if(hap1 != "011" && hap1 != "016" && hap1 != "017" && hap1 != "018" && hap1 != "019"){
		alert("휴대전화번호를 정확히 입력해주세요.");
		form.hap1.focus();
		return false;
	}else if(hap2 == ""){//두번째
		alert("휴대전화번호를 숫자로 입력해주세요.");					
		form.hap2.focus();										
		return false;													
	}else if(!Check_Num(hap2)){
		alert("휴대전화를 숫자로 입력해주세요.");
		form.hap2.focus();
		return false;
	}else if(hap3 == ""){//세번째							
		alert("휴대전화번호를 숫자로 입력해주세요.");					
		form.hap3.focus();										
		return false;													
	}else if(!Check_Num(hap3)){
		alert("휴대전화번호를 숫자로 입력해주세요.");
		form.hap3.focus();
		return false;
	}
	
	
	
	/************* email 체크 *************/
	if(email1 == ""){
		alert("E-mail을 입력하십시오.");
		form.email1.focus();
		return false;
	}else if(email == ""){
		alert("E-mail을 입력하십시오.");
		form.email.focus();
		return false;
	}else if(!check_Email()) {
		form.email.focus();
		return false;
	}
	
	/************* 은행 체크 *************/
	if(bankName == ""){
		alert("은행 이름을 입력하세요.");
		form.bankName.focus();
		return false;
	}

	if(bankDepositor == ""){
		alert("예금주 명을입력하세요.");
		form.bankDepositor.focus();
		return false;
	}else if(bankDepositor != userName){
		alert("예금주는 본인 이여야 합니다.");
		form.bankDepositor.focus();
		return false;
	}

	if(bankNumber == ""){
		alert("계좌번호를 입력하세요");
		form.bankNumber.focus();
		return false;
	}else if(!Check_Num(bankNumber)){
		alert("계좌번호를 숫자로 입력해주세요.");
		form.bankNumber.focus();
		form.bankNumber.select();
		return false;
	}	
}
